Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.xni
Interface NamespaceContext

All Known Implementing Classes:
  NamespaceSupport

public interface NamespaceContext

Represents an interface to query namespace information.

Field Summary
`static java.lang.String` | `XML_URI` The XML Namespace ("http://www.w3.org/XML/1998/namespace").
`static java.lang.String` | `XMLNS_URI` XML Information Set REC all namespace attributes (including those named xmlns, whose [prefix] property has no value) have a namespace URI of http://www.w3.org/2000/xmlns/

Method Summary
`java.lang.String` | `getDeclaredPrefixAt(int index)` Returns the prefix at the specified index in the current context.
`int` | `getDeclaredPrefixCount()` Return a count of all prefixes currently declared, including the default prefix if bound.
`NamespaceContext` | `getParentContext()` Returns the parent namespace context or null if there is no parent context.
`java.lang.String` | `getURI(java.lang.String prefix)` Look up a prefix and get the currently-mapped Namespace URI.

Field Detail

### XML_URI

    public static final java.lang.String XML_URI

  The XML Namespace ("http://www.w3.org/XML/1998/namespace"). This is the Namespace URI that is automatically mapped to the "xml" prefix.

### XMLNS_URI

    public static final java.lang.String XMLNS_URI

  XML Information Set REC all namespace attributes (including those named xmlns, whose [prefix] property has no value) have a namespace URI of http://www.w3.org/2000/xmlns/

Method Detail

### getURI

    public java.lang.String getURI(java.lang.String prefix)

  Look up a prefix and get the currently-mapped Namespace URI.

  This method looks up the prefix in the current context. Use the empty string ("") for the default Namespace.

  Parameters:
    `prefix` - The prefix to look up.
  Returns:
    The associated Namespace URI, or null if the prefix is undeclared in this context.

### getDeclaredPrefixCount

    public int getDeclaredPrefixCount()

  Return a count of all prefixes currently declared, including the default prefix if bound.

### getDeclaredPrefixAt

    public java.lang.String getDeclaredPrefixAt(int index)

  Returns the prefix at the specified index in the current context.

### getParentContext

    public NamespaceContext getParentContext()

  Returns the parent namespace context or null if there is no parent context. The total depth of the namespace contexts matches the element depth in the document.

  Note: This method may return the same NamespaceContext object reference. The caller is responsible for saving the declared prefix mappings before calling this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD